> ## Documentation Index
> Fetch the complete documentation index at: https://docs.grdd.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a token



## OpenAPI

````yaml /connect-api/openapi.json post /api/token
openapi: 3.0.0
info:
  title: GNet Connect API
  version: 1.0.0
  description: API for the GNet Connect platform
servers:
  - url: https://core.grdd.dev
    description: Development server
  - url: https://core.grdd.net
    description: Production server
security: []
paths:
  /api/token:
    post:
      tags:
        - auth
      summary: Get a token
      operationId: get_token
      requestBody:
        description: Client ID and secret
        required: true
        content:
          application/json:
            examples:
              User:
                summary: User credentials
                description: User credentials
                value:
                  uid: uid
                  pw: password
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  exp:
                    type: number
        '401':
          description: Invalid credentials

````